## org.biojava.bio.structure.io
Class DASStructureClient

    java.lang.Object
      org.biojava.bio.structure.io.DASStructureClient

All Implemented Interfaces:
  StructureIO

    public class DASStructureClient

extends Object
implements StructureIO

A DAS client that connects to a DAS structure service and returns a Biojava structure class.

Since:
  1.4
Author:
  Andreas Prlic

Constructor Summary
`DASStructureClient(String url)` Constructs a DASStructureClient object.

Method Summary
`Structure` `getStructureById(String pdb_code)` if pdb code is set (setId): connect to a DAS-structure service and retreive data.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DASStructureClient

    public DASStructureClient(String url)

  Constructs a DASStructureClient object.

  Parameters:
    `url` - a String ...

Method Detail

### getStructureById

    public Structure getStructureById(String pdb_code)
                               throws IOException

  if pdb code is set (setId): connect to a DAS-structure service and retreive data.

  Specified by:
    `getStructureById` in interface `StructureIO`
  Parameters:
    `pdb_code` - a String, representing a PDB code e.g. 5pti
  Returns:
    the Structure object
  Throws:
    `IOException` - ...